%define	name	ipsvd
%define version 0.12.0

Summary:	Internet protocol service daemons
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://smarden.org/ipsvd/
Source0:	http://smarden.org/ipsvd/%{name}-%{version}.tar.bz2
Patch0:		ipsvd-0.12.0-system_matrixssl.diff
BuildRequires:	dietlibc-devel >= 0.20
BuildRequires:	matrixssl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
ipsvd is a set of internet protocol service daemons for Unix. It 
currently includes a TCP/IP service daemon, and a UDP/IP service 
daemon. 

An internet protocol service (ipsv) daemon waits for incoming 
connections on a local socket; for new connections, it conditionally 
runs an arbitrary program with standard input reading from the 
socket, and standard output writing to the socket (if connected), 
to handle the connection. Standard error is used for logging. 

ipsv daemons can be told to read and follow pre-defined instructions 
on how to handle incoming connections; based on the client's IP 
address or hostname, they can run different programs, set a different 
environment, deny a connection, or set a per host concurrency limit. 

On Linux the network connection optionally can be encrypted using 
SSLv3. 

Normally the ipsv daemons are run by a supervisor process, such as 
runsv from the runit package, or supervise from the daemontools 
package. 

ipsvd can be used to run services normally run by inetd, xinetd, or 
tcpserver. 

%prep

%setup -q -n net

pushd %{name}-%{version}/src
%patch0 -p0
popd

%build
# OE: This is quite different from the ordinary to some...
# It makes rpmlint crazy, but what does _it_ know about the real world?
pushd %{name}-%{version}/src
    echo "diet gcc -Os -pipe -nostdinc" > conf-cc
    echo "diet gcc -Os -static -s -nostdinc" > conf-ld
    make
    make check
popd

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}/sbin/
install -d %{buildroot}%{_mandir}/man{5,7,8}

pushd %{name}-%{version}
    for i in ipsvd-cdb sslio tcpsvd udpsvd; do
	install -m0755 src/$i %{buildroot}/sbin/
    done
popd

install -m0644 %{name}-%{version}/man/*.5 %{buildroot}%{_mandir}/man5/
install -m0644 %{name}-%{version}/man/*.7 %{buildroot}%{_mandir}/man7/
install -m0644 %{name}-%{version}/man/*.8 %{buildroot}%{_mandir}/man8/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{name}-%{version}/package/CHANGES
%doc %{name}-%{version}/package/README
%doc %{name}-%{version}/doc/*.html
%attr(0755,root,root) /sbin/ipsvd-cdb
%attr(0755,root,root) /sbin/sslio
%attr(0755,root,root) /sbin/tcpsvd
%attr(0755,root,root) /sbin/udpsvd
%attr(0644,root,root) %{_mandir}/man5/ipsvd-instruct.5*
%attr(0644,root,root) %{_mandir}/man7/ipsvd.7*
%attr(0644,root,root) %{_mandir}/man8/ipsvd-cdb.8*
%attr(0644,root,root) %{_mandir}/man8/sslio.8*
%attr(0644,root,root) %{_mandir}/man8/sslsvd.8*
%attr(0644,root,root) %{_mandir}/man8/tcpsvd.8*
%attr(0644,root,root) %{_mandir}/man8/udpsvd.8*

%changelog
* Sun Feb 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-1mdk
- 0.12.0 (Minor feature enhancements)
- rebuilt against matrixssl-1.7.3
- rediff P0

* Wed Oct 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.1-1mdk
- 0.11.1
- rediff P0
- rebuilt against matrixssl-1.7.1

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-4mdk
- really rebuilt against matrixssl-1.2.5

* Thu Apr 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.11.0-3mdk
- rebuilt against matrixssl-1.2.5
- use the %%mkrel macro

* Fri Feb 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.11.0-2mdk
- rebuilt against matrixssl-1.2.4

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.11.0-1mdk
- 0.11.0
- fix P0

* Tue Jan 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1
- fix P0

* Tue Dec 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- fix P0

* Wed Aug 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-1mdk
- initial mandrake package
